visrec.ri.spi

## Class DefaultImageFactoryService

- java.lang.Object
- - visrec.ri.spi.DefaultImageFactoryService

All Implemented Interfaces:
  javax.visrec.spi.ImageFactoryService

    public final class DefaultImageFactoryService
    extends Object
    implements javax.visrec.spi.ImageFactoryService

Default implementation of `ImageFactoryService` which serves the implementations of `ImageFactory`.

Author:
  Kevin Berendsen

### Constructor Summary

Constructors
Constructor and Description
`DefaultImageFactoryService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> Optional<javax.visrec.ImageFactory<T>>` `getByImageType(Class<T> imageCls)` Get the `ImageFactory` by image type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultImageFactoryService

    public DefaultImageFactoryService()

### Method Detail

#### getByImageType

    public <T> Optional<javax.visrec.ImageFactory<T>> getByImageType(Class<T> imageCls)

Get the `ImageFactory` by image type.

Specified by:
  `getByImageType` in interface `javax.visrec.spi.ImageFactoryService`
Type Parameters:
  `T` - image type.
Parameters:
  `imageCls` - image type in `Class` object which is able to be processed by the image factory implementation.
Returns:
  `ImageFactory` wrapped in `Optional`. If the `ImageFactory` could not be found then the `Optional` would contain null.